------------------------------------------------------------------------------------
--Name:  	juqing4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-04-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(65, 65)
local Effect_1 = CppScriptMgr:AddEffect("CartoonDisplay", 62, 68, 33, 1, 1, 1)
Effect_1:Scale(1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_1 = CppScriptMgr:AddPlayer(317, 62, 62, "", 0, 0)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:AddPlayer(317, 68, 60, "", 0, 0)
Player_2:SetDir(7)
local Player_3 = CppScriptMgr:AddPlayer(317, 75, 66, "", 0, 0)
Player_3:SetDir(7)
local Player_4 = CppScriptMgr:AddPlayer(317, 67, 69, "", 0, 0)
Player_4:SetDir(7)
local Player_5 = CppScriptMgr:AddPlayer(317, 67, 75, "", 0, 0)
Player_5:SetDir(7)
local Player_6 = CppScriptMgr:AddPlayer(317, 60, 71, "", 0, 0)
Player_6:SetDir(7)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(401)
Player_2:SetAction(401)
Player_3:SetAction(401)
Player_4:SetAction(401)
Player_5:SetAction(401)
Player_6:SetAction(401)
CppScriptMgr:WaitMilSec(1000)
local Effect_2 = CppScriptMgr:AddEffect("TSM_FRSZ_aoe", 65, 65, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ShakeScrEffect(1)
local Effect_3 = CppScriptMgr:AddEffect("QL_ShenWei", 67, 63, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("QL_ShenWei", 61, 66, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("QL_ShenWei", 72, 74, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_8 = CppScriptMgr:AddPlayer(282, 61, 66, "StrongBullDevil", 0, 0)
Player_8:SetDir(7)
local Player_7 = CppScriptMgr:AddPlayer(282, 67, 63, "StrongBullDevil", 0, 0)
Player_7:SetDir(7)
local Player_9 = CppScriptMgr:AddPlayer(282, 72, 74, "StrongBullDevil", 0, 0)
Player_9:SetDir(7)
Player_8:SetZoomPercent(200)
Player_7:SetZoomPercent(200)
Player_9:SetZoomPercent(200)
CppScriptMgr:WaitMilSec(2310)
Player_8:Say("Perish! Ignorant humans!", 1000)
Player_8:SetAction(101)
Player_7:Say("Perish! Ignorant humans!", 1000)
Player_7:SetAction(101)
Player_9:SetAction(101)
Player_9:Say("Perish! Ignorant humans!", 1000)
CppScriptMgr:WaitMilSec(2160)